### Hierarchy

- NavigatorUserMedia
  - Navigator

## Index

### Properties

- mediaDevices

### Methods

- getDisplayMedia
- getUserMedia

## Properties

### mediaDevices

mediaDevices: MediaDevices

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10376

## Methods

### getDisplayMedia

- getDisplayMedia(constraints: MediaStreamConstraints): Promise<MediaStream>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10377

  #### Parameters

  - ##### constraints: MediaStreamConstraints

  #### Returns Promise<MediaStream>

### getUserMedia

- getUserMedia(constraints: MediaStreamConstraints, successCallback: NavigatorUserMediaSuccessCallback, errorCallback: NavigatorUserMediaErrorCallback): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10378

  #### Parameters

  - ##### constraints: MediaStreamConstraints

  - ##### successCallback: NavigatorUserMediaSuccessCallback

  - ##### errorCallback: NavigatorUserMediaErrorCallback

  #### Returns void

Generated using TypeDoc